Bug 64834 - (radeon) Vectors drawn in X with one end outside of window is not visible
(radeon) Vectors drawn in X with one end outside of window is not visible
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2002-05-13 06:19 EDT by christer
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 15:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.log (24.77 KB, text/plain)
2002-05-15 19:08 EDT, christer
no flags Details
Patch for radeon_accel.c (719 bytes, patch)
2002-06-02 12:05 EDT, christer
no flags Details | Diff
XF86Config-4 (2.84 KB, text/plain)
2002-06-02 12:07 EDT, christer
no flags Details

  None (edit)
Description christer 2002-05-13 06:19:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
I'm using a CAD software (CAE program). When it display vectors (electrical 
tracks) with different x *and* y values for the start and end points and one 
point is outside of the window, the track wont show. Instead it becomes a kind 
of a negative vector, removing pixels where it should light up. (NOT instead 
of AND at each pixel) If X or Y is equal the vector is visible.
It did work in Redhat 7.2 and earlier.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. You can't do it my way since you don't have the program. Maybe a simple 
test program you write would reveal the bug.
2.
3.
	

Additional info:
The tracks drawn is two paralell one pixel wide vectors with one half-circle 
at each end.
Comment 1 Mike A. Harris 2002-05-13 14:34:58 EDT
It's up to you to produce a test case which illustrates the bug you are
describing.  From what you've described above, for all I know, it is a bug
in the software you're using itself.  Unless I have a 100% reproduceable
test case, I can't look into it.
Comment 2 Mike A. Harris 2002-05-14 09:17:03 EDT
ALso, indicate what video card you're using and attach X server log and
config files.
Comment 3 christer 2002-05-15 19:08:00 EDT
Created attachment 57486 [details]
XFree86.log
Comment 4 christer 2002-05-15 19:20:09 EDT
I'm using an ATI radeon card. This is lspci -vv:

01:05.0 VGA compatible controller: ATI Technologies Inc Radeon QD (prog-if 00 
[VGA])
        Subsystem: ATI Technologies Inc Radeon 7000/Radeon
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping+ SERR- FastB2B+
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), cache line size 10
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 2000 [size=256]
        Region 2: Memory at e0100000 (32-bit, non-prefetchable) [size=512K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=47 SBA+ 64bit- FW- Rate=x1,x2
                Command: RQ=15 SBA+ AGP+ 64bit- FW- Rate=x2
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

When I replace the driver /usr/X11R6/modules/drivers/radeon_drv.o with the
version from XFree86-4.1.0-15 my problem disapears.
Comment 5 christer 2002-06-01 20:11:31 EDT
Putting the option "XaaNoSolidTwoPointLine" in the config file fixes the 
problem.
Comment 6 Mike A. Harris 2002-06-01 22:38:26 EDT
Ok, cool.  Thanks for narrowing it down.  I'll add that option by default
for the Radeon if it doesn't get fixed right away.  Do you notice this
with any other software?

Please attach your config file as well.

Thanks.
Comment 7 Mike A. Harris 2002-06-01 22:46:29 EDT
One more thing to test in order to narrow it a bit more.

Can you comment out the XaaNoSolidTwoPointLine, and disable DRI instead,
and see if that changes anything?

If the problem happens with DRI disabled, leave DRI disabled, and add the
XaaNoSolidTwoPointLine back.  What are the results of that?

That should significantly narrow things down to the exact function
in the radeon driver.

Thanks.
Comment 8 christer 2002-06-02 12:05:16 EDT
Created attachment 59264 [details]
Patch for radeon_accel.c
Comment 9 christer 2002-06-02 12:07:06 EDT
Created attachment 59265 [details]
XF86Config-4
Comment 10 christer 2002-06-02 12:19:09 EDT
The only thing that makes a difference is XaaNoSolidTwoPointLine.
I think it would be possible to test this with xtest, but I can't figure out 
how to compile it on a short notice.

I'm also attaching a patch for something else i saw in the source.
Comment 11 Mike A. Harris 2002-07-26 08:23:46 EDT
This bug is very similar in nature to bug #67852

Can you have a look at it and comment please?

Thanks.
Comment 13 Mike A. Harris 2004-10-12 15:47:14 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.